package mje;

import js.html.CanvasElement;
import js.html.CanvasRenderingContext2D;

/**
 * ...
 * @author JanGamesCo
 */
class MJE
{
	//Singleton reference
	public static var the:MJE;
	
	public static var delta:Float;
	
	/** Canvas reference */
	public var canvas:CanvasElement;
	/** Context reference */
	public var ctx:CanvasRenderingContext2D;
	
	//Game reference
	public var game:MJEGame;	
	
	public function new() 
	{
		the = this;
	}
	
	public function keyDown(key:String)
	{
		return game.keyArray[key.charCodeAt(0)] == MJEGame.DOWN;
	}
	
	public function keyUp(key:String)
	{
		return game.keyArray[key.charCodeAt(0)] == MJEGame.UP;
	}
	
	public function keyPressed(key:String)
	{
		return game.keyArray[key.charCodeAt(0)] == MJEGame.PRESSED;
	}
	
}