package mje;

/**
 * ...
 * @author JanGamesCo
 */
class MJEGroup<T:MJEBasic> extends MJEBasic
{
	private var container:Array<T>;

	public function new() 
	{
		super();
		
		//Init container
		container = new Array();
		
		visible = true;
		exists = true;
	}	
	
	//Add to container
	public function add(t:T)
	{
		//Push t to container
		container.push(t);
	}
	
	override public function update() 
	{		
		//Update container basics
		for (t in container) {
			if (t.exists) {
				t.update();
			}
		}
	}
	
	override public function draw() 
	{		
		//Draw container basics
		for (t in container) {
			if (t.visible) {
				t.draw();
			}
		}
	}
	
}